﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using WebSocketSharp.Server;
using WSCF.Test.IService;

namespace WSCF.Test.Server.WsProxy
{
    public class WsProxy
    {
        public WebSocketServer wssv;
        public WsProxy(string addr, Foo foo) 
        {
            wssv = new WebSocketServer($"ws://{addr}/");
            wssv.AddWebSocketService<Reflect_Proxy>("/Foo", (wsproxy) =>
            {
                //wsproxy.Init(typeof(IFooService), foo);
                wsproxy.AfterOpen = (proxy) =>
                {
                    //分解 路径
                    string path = proxy.Context.RequestUri.PathAndQuery;

                    proxy.Init(typeof(IFooService), foo);
                };
            });
            
            this.wssv.Start();
        }
    }
}
